cURL
curl --request DELETE \
--url 'https://<your-tenant>.app.blinkops.com/api/v1/workspace/{ws_id}/case_management/table/{table}/{id}' \
--header 'BLINK-API-KEY: <api-key>'import requests
url = "https://<your-tenant>.app.blinkops.com/api/v1/workspace/{ws_id}/case_management/table/{table}/{id}"
headers = {"BLINK-API-KEY": "<api-key>"}
response = requests.request("DELETE", url, headers=headers)
print(response.text)
const url = 'https://<your-tenant>.app.blinkops.com/api/v1/workspace/{ws_id}/case_management/table/{table}/{id}';
const options = {method: 'DELETE', headers: {'BLINK-API-KEY': '<api-key>'}};
fetch(url, options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://<your-tenant>.app.blinkops.com/api/v1/workspace/{ws_id}/case_management/table/{table}/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"BLINK-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://<your-tenant>.app.blinkops.com/api/v1/workspace/{ws_id}/case_management/table/{table}/{id}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("BLINK-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(res)
fmt.Println(string(body))
}
HttpResponse<String> response = Unirest.delete("https://<your-tenant>.app.blinkops.com/api/v1/workspace/{ws_id}/case_management/table/{table}/{id}")
.header("BLINK-API-KEY", "<api-key>")
.asString();
require 'uri'
require 'net/http'
url = URI("https://<your-tenant>.app.blinkops.com/api/v1/workspace/{ws_id}/case_management/table/{table}/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["BLINK-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body
This response has no body data.{
"data": {},
"details": "<string>",
"identifier": "<string>",
"message": "<string>",
"status": 404,
"user_error": {}
}Case Management
Delete a Record from Case Management Table
API endpoint to delete a record from a case management table in Blink.
DELETE
/
workspace
/
{ws_id}
/
case_management
/
table
/
{table}
/
{id}
cURL
curl --request DELETE \
--url 'https://<your-tenant>.app.blinkops.com/api/v1/workspace/{ws_id}/case_management/table/{table}/{id}' \
--header 'BLINK-API-KEY: <api-key>'import requests
url = "https://<your-tenant>.app.blinkops.com/api/v1/workspace/{ws_id}/case_management/table/{table}/{id}"
headers = {"BLINK-API-KEY": "<api-key>"}
response = requests.request("DELETE", url, headers=headers)
print(response.text)
const url = 'https://<your-tenant>.app.blinkops.com/api/v1/workspace/{ws_id}/case_management/table/{table}/{id}';
const options = {method: 'DELETE', headers: {'BLINK-API-KEY': '<api-key>'}};
fetch(url, options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://<your-tenant>.app.blinkops.com/api/v1/workspace/{ws_id}/case_management/table/{table}/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"BLINK-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://<your-tenant>.app.blinkops.com/api/v1/workspace/{ws_id}/case_management/table/{table}/{id}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("BLINK-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(res)
fmt.Println(string(body))
}
HttpResponse<String> response = Unirest.delete("https://<your-tenant>.app.blinkops.com/api/v1/workspace/{ws_id}/case_management/table/{table}/{id}")
.header("BLINK-API-KEY", "<api-key>")
.asString();
require 'uri'
require 'net/http'
url = URI("https://<your-tenant>.app.blinkops.com/api/v1/workspace/{ws_id}/case_management/table/{table}/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["BLINK-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body
This response has no body data.{
"data": {},
"details": "<string>",
"identifier": "<string>",
"message": "<string>",
"status": 404,
"user_error": {}
}Authorizations
Path Parameters
Response
OK
Was this page helpful?